### Function

# Dex file_read

unstable since: 1

#### Declaration [src]

    DexFuture*
    dex_file_read (
      GFile* file,
      int io_priority
    )

#### Description [src]

Asynchronously opens a file for reading.

Available since: 1

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  IO priority such as `G_PRIORITY_DEFAULT`.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.